﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PetitProgramme.Model
{
    public class Animal
    {
        /// <summary>
        /// Les attributs (toujours en privé)
        /// </summary>
        private int animalId;
        private String rfid;
        private DateTime dateNaissance;
        private String sexe;
        private Elevage elevage;

        /// <summary>
        /// Constructeur vide
        /// </summary>
        public Animal() { }

        /// <summary>
        /// Constructeur avec tous les attriburs
        /// </summary>
        /// <param name="animalId"></param>
        /// <param name="rfid"></param>
        /// <param name="dateNaissance"></param>
        /// <param name="sexe"></param>
        /// <param name="elevage"></param>
        public Animal(int animalId, string rfid, DateTime dateNaissance, string sexe, Elevage elevage)
        {
            this.animalId = animalId;
            this.rfid = rfid;
            this.dateNaissance = dateNaissance;
            this.sexe = sexe;
            this.elevage = elevage;
        }

        /// <summary>
        /// Les propriétés (toujours en public)
        /// </summary>
        public int AnimalId { get => animalId; set => animalId = value; }
        public string Rfid { get => rfid; set => rfid = value; }
        public DateTime DateNaissance { get => dateNaissance; set => dateNaissance = value; }
        public string Sexe { get => sexe; set => sexe = value; }
        public Elevage Elevage { get => elevage; set => elevage = value; }
    }
}
