﻿using System;
using System.Collections.Generic;
using System.Text;

namespace PetitProgramme.Model
{
    public class Pesee
    {
        /// <summary>
        /// Les attributs (toujours en privé)
        /// </summary>
        private int pesseId;
        private DateTime datePesee;
        private Animal animal;
        private int poids;

        /// <summary>
        /// Constructeur vide
        /// </summary>
        public Pesee () { }

        /// <summary>
        /// Constructeur avec tous les attriburs
        /// </summary>
        /// <param name="pesseId"></param>
        /// <param name="datePesee"></param>
        /// <param name="animal"></param>
        /// <param name="poids"></param>
        public Pesee(int pesseId, DateTime datePesee, Animal animal, int poids)
        {
            this.pesseId = pesseId;
            this.datePesee = datePesee;
            this.animal = animal;
            this.poids = poids;
        }

        /// <summary>
        /// Les propriétés (toujours en public)
        /// </summary>
        public int PesseId { get => pesseId; set => pesseId = value; }
        public DateTime DatePesee { get => datePesee; set => datePesee = value; }
        public Animal Animal { get => animal; set => animal = value; }
        public int Poids { get => poids; set => poids = value; }
    }
}
