﻿using PetitProgramme.Model;
using System;
using System.Collections.Generic;
using System.Text;

namespace PetitProgramme.DAO
{
    public class ElevageDAO
    {
        /// <summary>
        /// Méthode qui retourne la liste de tous les élevages
        /// Normalement, c'est ici qu'on établie la connexion avec la base de données
        /// soit directement, soit par WS
        /// Pour ce petit programme, je génère les élevages à la main
        /// </summary>
        /// <returns>La liste de toutes les espèces</returns>
        public List<Elevage> getElevages()
        {
            List<Elevage> elevages = new List<Elevage>();
            Elevage e1 = new Elevage(1, "Langlade Ovins");
            Elevage e2 = new Elevage(2, "Bourges Ovins");
            Elevage e3 = new Elevage(3, "UEPAO Ovins");
            Elevage e4 = new Elevage(4, "PTEA Ovins");
            elevages.Add(e1);
            elevages.Add(e2);
            elevages.Add(e3);
            elevages.Add(e4);
            return elevages;
        }
    }
}
